Ryzehosting
  1. server
Ryzehosting
  • account
    • redeem voucher
      POST
    • save address
      POST
    • affiliate stats
      GET
    • transactions
      GET
    • get address
      GET
    • dashboard
      GET
    • balance
      GET
    • session
      GET
  • domain
    • whois privacy update
      POST
    • whois privacy get
      GET
    • contact update
      POST
    • nameservers
      POST
    • dns-records
      GET
    • contact get
      GET
    • dns update
      POST
    • authcode
      POST
    • pricelist
      GET
    • details
      GET
    • check
      POST
    • order
      POST
    • list
      GET
  • server
    • ipaddresses
      GET
    • password
      POST
    • hardware
      GET
    • reinstall
      POST
    • rrddata
      GET
    • cancel
      POST
    • status
      GET
    • prices
      GET
    • config
      GET
    • renew
      POST
    • power
      POST
    • hosts
      GET
    • order
      POST
    • vnc
      GET
    • list
      GET
    • ptr
      POST
    • os
      GET
  • webspace
    • packages
    • details
    • renew
    • status
    • order
    • list
  • ryzectrl
    • packages
    • details
    • renew
    • order
    • list
  • ticket
    • messages
    • message
    • details
    • create
    • open
    • close
    • list
  • tools
    • Create UUID
    • Iban Verify
    • Network
    • NoVNC
    • Whois
  • Schemas
    • Unauthorized
    • Success
  1. server

hardware

GET
server/hardware

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://dash.ryzehosting.com/api/v2/server/hardware' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "response": "Successfully fetched hardware list",
    "state": "success",
    "code": 200,
    "data": [
        {
            "name": "nl_xeon",
            "displayname": "Intel Xeon KVM-Server im SkyLink Data Center BV",
            "datacenter": {
                "name": "SkyLink Data Center BV",
                "displayname": "SkyLink Data Center BV",
                "country": "Niederlande",
                "city": "Eygelshoven"
            },
            "configuration": {
                "cores": {
                    "min": 1,
                    "max": 16,
                    "step": 1
                },
                "mem": {
                    "min": 1024,
                    "max": 131072,
                    "step": 1024
                },
                "disk": {
                    "min": 10,
                    "max": 500,
                    "step": 10
                },
                "ip4": {
                    "min": 1,
                    "max": 32,
                    "step": 1
                },
                "ip6": {
                    "min": 1,
                    "max": 32,
                    "step": 1
                },
                "network_speed": {
                    "min": 1250,
                    "max": 1250,
                    "step": 125
                }
            },
            "pricing": {
                "vcore": 0.5,
                "ram_per_gb": 0.3,
                "nvme_per_gb": 0.02,
                "hdd_per_gb": 0,
                "ipv4": 1,
                "ipv6": 0.01,
                "traffic_per_gbps": 0.25
            }
        },
        {
            "name": "nl_ryzen",
            "displayname": "AMD Ryzen KVM-Server im SkyLink Data Center BV",
            "datacenter": {
                "name": "SkyLink Data Center BV",
                "displayname": "SkyLink Data Center BV",
                "country": "Niederlande",
                "city": "Eygelshoven"
            },
            "configuration": {
                "cores": {
                    "min": 1,
                    "max": 12,
                    "step": 1
                },
                "mem": {
                    "min": 1024,
                    "max": 65536,
                    "step": 1024
                },
                "disk": {
                    "min": 10,
                    "max": 500,
                    "step": 10
                },
                "ip4": {
                    "min": 1,
                    "max": 32,
                    "step": 1
                },
                "ip6": {
                    "min": 1,
                    "max": 32,
                    "step": 1
                },
                "network_speed": {
                    "min": 1250,
                    "max": 1250,
                    "step": 125
                }
            },
            "pricing": {
                "vcore": 1.4,
                "ram_per_gb": 0.7,
                "nvme_per_gb": 0.02,
                "hdd_per_gb": 0,
                "ipv4": 1,
                "ipv6": 0.01,
                "traffic_per_gbps": 0.25
            }
        }
    ]
}
Modified at 2025-12-30 03:59:29
Previous
password
Next
reinstall
Built with